/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef PROPERTYCREATOR_H
#define PROPERTYCREATOR_H

class PropertyModel;

namespace KDevelop
{
class DUContext;
class ClassDeclaration;
class ClassMemberDeclaration;
}

using namespace KDevelop;

class PropertyCreator
{
public:
    virtual ~PropertyCreator() {};
    virtual bool parse (PropertyModel * m, ClassDeclaration* klass, ClassMemberDeclaration* selectedMember = 0) = 0;
    virtual void create (PropertyModel * m) = 0;
};

#endif //PROPERTYCREATOR_H

// kate: indent-mode cstyle; space-indent on; indent-width 4; replace-tabs on;
