/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef PROPERTIESDIALOG_H
#define PROPERTIESDIALOG_H

#include <KDialog>

class PropertyModel;
namespace Ui
{
class propertiesForm;
}
class PropertiesDialog : public KDialog
{
    Q_OBJECT

public:
    explicit  PropertiesDialog (QWidget* parent = 0, Qt::WFlags flags = 0);
    virtual ~PropertiesDialog();
    void show (PropertyModel * model);
    void setModel (PropertyModel * model);
    PropertyModel * model()
    {
        return m_model;
    }
public slots:
    void selectAll();
    void deselectAll();
    void createQtProperties (bool create);
    void createDocumentation (bool create);
    void changeModifier (int index);
protected:
    Ui::propertiesForm * m_form;
    PropertyModel *m_model;
};

#endif // PROPERTIESDIALOG_H

// kate: indent-mode cstyle; space-indent on; indent-width 4; replace-tabs on;
