/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "propertynode.h"
#include "propertymodel.h"

#include <QtCore/QRegExp>

#include <language/duchain/declaration.h>
#include <language/duchain/duchainutils.h>
#include <language/duchain/duchain.h>
#include <language/duchain/duchainlock.h>
#include <language/duchain/classdeclaration.h>
#include <language/duchain/classmemberdeclaration.h>

PropertyNode::PropertyNode ()
{
        m_createReader = false;
        m_createWriter = false;
        m_canCreateReader = true;
        m_canCreateWriter = true;
        m_readerAccess = "public";
        m_writerAccess = "public";
}


PropertyNode::~PropertyNode()
{

}


// kate: indent-mode cstyle; space-indent on; indent-width 4; replace-tabs on; 
