#ifndef KDEVPLUGPLUGIN_H_
#define KDEVPLUGPLUGIN_H_

#include <interfaces/iplugin.h>

#include <QVariantList>

class KAction;

using namespace KDevelop;

namespace KDevelop
{
class Declaration;
class DUContext;
class ClassDeclaration ;
class ClassMemberDeclaration ;
}

//kind = Type
class ReaderWriterPlugin: public KDevelop::IPlugin
{
    Q_OBJECT
public:
    ReaderWriterPlugin (QObject *parent, const QVariantList & = QVariantList());
    ~ReaderWriterPlugin();
    KDevelop::ContextMenuExtension contextMenuExtension (Context* context);
    void createProperties (ClassDeclaration *klass, ClassMemberDeclaration *selected = 0);
private slots:
    void slotCreateProperties();
    void slotWriteProperties();
private:
    static Declaration* cursorItemDeclaration();
    //kind = Instance
    KAction *m_action;
    int test;
};

#endif //KDEVPLUG

// kate: indent-mode cstyle; space-indent on; indent-width 4; replace-tabs on;
